<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateCountryCodesTable extends Migration {

	public function up()
	{
		Schema::create('country_codes', function(Blueprint $table) {
			$table->increments('id');
			$table->string('country_name');
			$table->string('iso_code', 3);
			$table->string('phone_code', 5);
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('country_codes');
	}
}